{"cwlVersion": "v1.2", "class": "CommandLineTool", "requirements": [{"class": "InlineJavascriptRequirement"}, {"class": "LoadListingRequirement"}], "id": "appyter-cfde-gene-partnership", "baseCommand": ["python3", "-u", "-m", "appyter", "commandify", "/app/CFDE-Gene-Partnership.ipynb", "run"], "hints": [{"class": "DockerRequirement", "dockerPull": "maayanlab/appyter-cfde-gene-partnership:0.2.9-0.19.15"}], "label": "CFDE Gene Partnership", "doc": "This Appyter uses FAIR APIs from different DCCs to Resolve gene-centric information from CF DCCs.", "s:version": "0.2.9-0.19.15", "s:author": "Daniel J. B. Clarke", "s:license": "CC-BY-NC-SA-4.0", "s:codeRepository": "https://github.com/MaayanLab/appyter-catalog", "s:keywords": ["Gene"], "inputs": [{"id": "gene", "inputBinding": {"prefix": "--gene=", "separate": false, "shellQuote": true}, "type": "string?", "label": "Gene Identifier", "doc": "Accepts valid HUGO Gene symbols, Entrez, Ensembl or UniProt Gene IDs among others", "default": "ACE2"}, {"id": "variant", "inputBinding": {"prefix": "--variant=", "separate": false, "shellQuote": true}, "type": "string?", "label": "Variant Identifier", "doc": "Please submit a HGVS or rsid variant identifier", "default": "rs28897756"}, {"id": "input", "inputBinding": {"prefix": "--input=", "separate": false, "shellQuote": true}, "type": ["null", {"type": "enum", "symbols": ["Gene", "Variant"]}], "label": "Gene or Variant", "default": "Gene"}, {"id": "s", "inputBinding": {"prefix": "-s", "separate": true, "shellQuote": true}, "type": "string?", "label": "Location to send realtime update stream"}, {"id": "w", "inputBinding": {"prefix": "-w", "separate": true, "shellQuote": true}, "type": "string", "default": "output", "label": "Work directory (all files are collected/output here)"}], "outputs": [{"id": "report", "type": "Directory", "outputBinding": {"glob": "$(inputs.w)"}}], "s:programmingLanguage": "Python", "$namespaces": {"s": "https://schema.org"}, "$schemas": ["https://schema.org/version/latest/schemaorg-current-http.rdf"]}